ruby-on-rails – 进行捆绑安装,更新bootstrap,现在我遇到了路由错误

我只是在摆弄一些东西,碰巧在我的 ruby on rails app上运行bundle install.我注意到bootstrap从3.1.1更新到3.2.0,现在当我去生成某些视图时,我收到此错误:

ActionController::RoutingError (No route matches [GET] "/fonts/bootstrap/glyphicons-halflings-regular.ttf"):

直到这个宝石更新才发生.有什么建议?我已经尝试在Gemfile中明确使用3.1.1并再次运行bundle,但这没有帮助.它看起来就像一个简单的路由问题,但是为什么这只会在gem更新期间发生变化.

我的问题在于我在application.css.scss文件中导入bootstrap的顺序.确保订单顺利进行:

@import "bootstrap-sprockets";
@import "bootstrap";
本站公众号
   欢迎关注本站公众号,获取更多程序园信息
开发小院